PHP is one of the most commonly used dynamic programming languages. It is very popular because it’s free software, which you can use to develop responsive sites such as community sites, Internet shops or school websites instead of static HTML-based sites. A PHP module should be available on the server where a PHP website is hosted so that its PHP code can be read. As there are no license charges for this sort of module and the language itself offers limitless options for the apps that you set up, there’re 100s of millions of PHP-driven websites. Moreover, there’re a multitude of PHP scripts, which you can use for your sites without needing to possess any programming abilities. Since there’re a handful of PHP versions, you need to confirm if the very same version that you used while developing your website is present on the web server as well.

PHP 4 and PHP 5 Support in Web Hosting

If you order a web hosting plan from us, you won’t ever have to ponder whether or not your websites are compatible with the hosting environment, as multiple PHP versions are supported on our servers for your convenience’s sake. The Hepsia hosting Control Panel will allow you to select PHP 4, 5.2, 5.3, 5.4 or 5.5 with only one click and if you’d like to change the version, the new settings will take effect immediately. Thus, many years of work on sites built with an older version won’t go down the drain. Our web hosting platform will even permit you to use a different version of PHP for each domain hosted in your account, which means that you can run newer and older scripts at the same time. Most web hosting providers on the marketplace offer one, sometimes two PHP versions. Unlike them, we strongly maintain that you should be the one to select the version that will be used by your own sites.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

We are steadfast in our conviction that several years spent developing a website should not go down the drain, so if you order a semi-dedicated server from our company, you’ll be able to use any script, regardless of whether it’s old or new. In stark contrast with many web hosting providers, we support a number of different versions of PHP on our avant-garde cloud platform – 4, 5.2, 5.3, 5.4 and 5.5. You will not only be able to enable the version that you need through your Hepsia Control Panel, but you’ll also have the opportunity to specify a different PHP version for each individual website. The latter can be accomplished simply by placing an .htaccess file in the root folder of the given site. You can change the current version either for a single website or for the whole account and the new settings will be applied in no more than a few minutes. With our hosting services, you can rest assured that you will never run into any website compatibility issues.